## org.biojava.stats.svm
Class SimpleSVMTarget

    java.lang.Object
      org.biojava.stats.svm.SimpleSVMTarget

All Implemented Interfaces:
  SVMTarget

    public class SimpleSVMTarget

extends Object
implements SVMTarget

No-frills implementation of SVMTarget.

Author:
  Matthew Pocock

Constructor Summary
`SimpleSVMTarget()`
`SimpleSVMTarget(Collection items)`

Method Summary
`void` `addItem(Object item)`
`void` `addItemTarget(Object item, double target)`
`void` `clear()`
`double` `getTarget(Object item)`
`Set` `items()`
`Set` `itemTargets()`
`void` `removeItem(Object item)`
`void` `setTarget(Object item, double target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSVMTarget

    public SimpleSVMTarget()

### SimpleSVMTarget

    public SimpleSVMTarget(Collection items)

Method Detail

### items

    public Set items()

  Specified by:
    `items` in interface `SVMTarget`

### itemTargets

    public Set itemTargets()

  Specified by:
    `itemTargets` in interface `SVMTarget`

### getTarget

    public double getTarget(Object item)

  Specified by:
    `getTarget` in interface `SVMTarget`

### setTarget

    public void setTarget(Object item,
                          double target)

  Specified by:
    `setTarget` in interface `SVMTarget`

### addItem

    public void addItem(Object item)

  Specified by:
    `addItem` in interface `SVMTarget`

### addItemTarget

    public void addItemTarget(Object item,
                              double target)

  Specified by:
    `addItemTarget` in interface `SVMTarget`

### removeItem

    public void removeItem(Object item)

  Specified by:
    `removeItem` in interface `SVMTarget`

### clear

    public void clear()

  Specified by:
    `clear` in interface `SVMTarget`